PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Imaging Data (`pydl.photoop`) »
- sdss_path

# sdss_path

`pydl.photoop.sdssio.``sdss_path`(ftype, run, camcol=0, rerun='')

  Return the path name for SDSS data assuming SAS directory structure.

  Parameters:

  ftype : `str`

  > The general type of the file, for example `'reObj'`

  run : `int`

  > The run number.

  camcol : `int`, optional

  > If necessary, set the camcol number using this argument.

  rerun : `str`, optional

  > If necessary, set the rerun name using this argument.

  Returns:

  `str`

  > The directory in which file `ftype` lives.

  Raises:

  :exc:`KeyError`

  > If the file type is unknown.